#
#    Ygl: Run 2d-GL programs with standard X11 routines.
#    (C) Fred Hucht 1993-97
#    EMail: fred@thp.Uni-Duisburg.DE
#
#    $Id: Makefile.std,v 3.4 1996-07-18 18:38:53+02 fred Exp fred $

# Uncomment next line to use X11 bindings (faster, but only 2d)
#X11		= -DX11

# Uncomment next line to use OpenGL bindings (slower than X11, but also 3d)
#OGL		= -DOGL

# Uncomment next two lines to include FORTRAN bindings
#FBO		= fortran.o
#FBH		= X11/Yfgl.h

# Uncomment next line to use DoubleBuffer extension with X11
#DOUBLEBUF 	= -DDOUBLEBUF

# Uncomment next line to use MultiBuffer extension with X11
#MULTIBUF 	= -DMULTIBUF

# Uncomment next two lines to prepend "ygl_" to all function names 
#YGL_PREFIX	= -DYGL_PREFIX
#PH		= X11/Yglprefix.h
#TARGET		= libYglp.a

#CDEBUGFLAGS	= -O

OBJS		= ygl.obj,draw.obj,misc.obj,font.obj,queue.obj,color.obj,\
	menu.obj,gl2ppm.obj,3d.obj,fortran.obj,GL_EXTRA.obj
TARGET          = libYgl.olb

COPTS = /define=("X11=1","OGL=1","MULTIBUF=1")
# COPTS = -Aa -D_HPUX_SOURCE -DMULTIBUF -DNO_MULTIBUF_H -L/usr/lib/X11R4 -I/usr/include/X11R4 # For HP-UX 8.0x
# COPTS = -Ae $(DOUBLEBUF) $(MULTIBUF) -L/usr/lib/X11R5 -I/usr/include/X11R5 # For HP-UX 9.0x

# End of configuration

CFLAGS		= /include=[]/name=(as_is,short)/float=ieee $(COPTS) $(YGL_PREFIX)

all : 	[.GL]device.h [.GL]fdevice.h [.GL]fgl.h [.GL]gl.h $(TARGET)	
	set default [.examples]
	$(MMS)$(MMSQUALIFIERS)
	
#.c.o:	
#	$(CC) -c $(CFLAGS) $<

#X11/Yglprefix.h:	makeYglprefix X11/Ygl.h
#	./makeYglprefix > $@

#X11/Ygltypes.h:		makeYgltypes
#	./makeYgltypes > $@

$(OBJS) :	header.h config.h [.X11]Ygl.h [.X11]Ygltypes.h $(PH)

$(TARGET) :	$(OBJS)
	library/create $(TARGET) $(OBJS)
	library/compress $(TARGET)

clean :
	/bin/rm -f *.obj *~ $(TARGET) X11/Yglprefix.h X11/Ygltypes.h

etags :
	etags *.[ch]

[.GL]device.h : [.X11]Ygl.h
	set file/enter=[.GL]device.h [.X11]Ygl.h

[.GL]fdevice.h : [.X11]Yfgl.h
	set file/enter=[.GL]fdevice.h [.X11]Yfgl.h

[.GL]fgl.h : [.X11]Yfgl.h
	set file/enter=[.GL]fgl.h [.X11]Yfgl.h

[.GL]gl.h : [.X11]Ygl.h
	set file/enter=[.GL]gl.h [.X11]Ygl.h

ygl.obj : ygl.c
draw.obj : draw.c
misc.obj : misc.c
font.obj : font.c
queue.obj : queue.c
color.obj : color.c
menu.obj : menu.c
gl2ppm.obj : gl2ppm.c
3d.obj : 3d.c
fortran.obj : fortran.c
GL_EXTRA.obj : GL_EXTRA.C

[.X11]Ygltypes.h : makeYgltypes.exe [.X11]Ygl.h
	pipe run makeYgltypes.exe > [.X11]Ygltypes.h

makeYgltypes.exe : makeYgltypes.obj

makeYgltypes.obj : makeYgltypes.c
